SequenceFile.Sorter.RawKeyValueIterator (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Interface SequenceFile.Sorter.RawKeyValueIterator

Enclosing class:
  SequenceFile.Sorter

    public static interface SequenceFile.Sorter.RawKeyValueIterator

The interface to iterate over raw keys/values of SequenceFiles.

Method Summary
`void` | `close()` closes the iterator so that the underlying streams can be closed
`DataOutputBuffer` | `getKey()` Gets the current raw key
`Progress` | `getProgress()` Gets the Progress object; this has a float (0.0 - 1.0) indicating the bytes processed by the iterator so far
`SequenceFile.ValueBytes` | `getValue()` Gets the current raw value
`boolean` | `next()` Sets up the current key and value (for getKey and getValue)

Method Detail

### getKey

    DataOutputBuffer getKey()
                            throws IOException

  Gets the current raw key

  Returns:
    DataOutputBuffer
  Throws:
    `IOException`

### getValue

    SequenceFile.ValueBytes getValue()
                                     throws IOException

  Gets the current raw value

  Returns:
    ValueBytes
  Throws:
    `IOException`

### next

    boolean next()
                 throws IOException

  Sets up the current key and value (for getKey and getValue)

  Returns:
    true if there exists a key/value, false otherwise
  Throws:
    `IOException`

### close

    void close()
               throws IOException

  closes the iterator so that the underlying streams can be closed

  Throws:
    `IOException`

### getProgress

    Progress getProgress()

  Gets the Progress object; this has a float (0.0 - 1.0) indicating the bytes processed by the iterator so far

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation